## visad
Class ShadowFunctionType

    java.lang.Object
      visad.ShadowType
          visad.ShadowFunctionOrSetType
              visad.ShadowFunctionType

All Implemented Interfaces:
  Serializable

public class ShadowFunctionType
extends ShadowFunctionOrSetType

The ShadowFunctionType class shadows the FunctionType class, within a DataDisplayLink.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.ShadowFunctionOrSetType
`Domain, DomainComponents, DomainReferenceComponents, Flat, inherited_values, Range, RangeComponents`

Fields inherited from class visad.ShadowType

`adjustProjectionSeam, anyContour, anyFlow, anyShape, anyText, arrowScale1, arrowScale2, c_cntrl, cnt, cntrWeight1, cntrWeight2, componentIndex, componentWithRef, curvedTexture, D0, D1, D2, D3, D4, Dbad, display, DisplayIndices, Dtype, isLinearContour3D, isTerminal, isTexture3D, isTextureMap, LEGAL, LevelOfDifficulty, Link, MappedDisplayScalar, METERS_PER_DEGREE, MultipleDisplayScalar, MultipleSpatialDisplayScalar, n_pass1, n_pass2, NESTED, NOTHING_MAPPED, p_cntrl, packingFactor1, packingFactor2, R0, R1, R2, R3, R4, Rbad, reduction1, reduction2, refToComponent, Rtype, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE, spatialDimension, spatialTuple, stepFactor1, stepFactor2, streamline1, streamline2, streamlineDensity1, streamlineDensity2, Type, ValueIndices`

Constructor Summary
`ShadowFunctionType(MathType t, DataDisplayLink link, ShadowType parent, ShadowRealTupleType domain, ShadowType range)`

Methods inherited from class visad.ShadowFunctionOrSetType
`checkIndices, createImage, createImage, createImages, doTransform, getDomain, getDomainComponents, getDomainReferenceComponents, getFlat, getInheritedValues, getRange, getRangeComponents, getRangeDisplayIndices, markTransform, reverse`

Methods inherited from class visad.ShadowType

`addIndices, addLabelsToGroup, addSwitch, addTextToGroup, addToGroup, addToGroup, addToSwitch, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowCurvedTexture, allowLinearContour, anyRange, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, byteToFloat, checkAdjustProjectionSeam, checkAnimationOrValue, checkAny, checkColor, checkColorAlphaRange, checkColorOrAlpha, checkColorRange, checkContour, checkContourColorAlphaRange, checkFlow, checkNested, checkR1D3, checkR2D2, checkR3, checkR4, checkShape, checkSpatialColorAlphaRange, checkSpatialOffsetColorAlphaRange, checkSpatialRange, checkText, colorComposite, colorSum, copyIndices, equalizeAndDefault, floatToByte, getAdaptedShadowType, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponents, getComponentWithRef, getCurvedTexture, getData, getDefaultColorIndex, getDisplay, getDisplayIndices, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLevelOfDifficulty, getLink, getMappedDisplayScalar, getMultipleDisplayScalar, getMultipleSpatialDisplayScalar, getParentText, getParentTextControl, getRefToComponent, getTextMaps, getType, getValueIndices, makeBranch, makeContour, makeFlow, makePointGeometry, makePointGeometry, makeSpatialSet, makeStreamline, makeSwitch, makeText, mapValues, mapValues, mapValues, recurseComponent, recurseRange, rotateVectors, setTex3DCoords, setTexCoords, setTexStackCoords, setText, singleComposite, terminalTupleOrScalar, testIndices, testTransform, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, toString, wantIndexed, zeroIndices`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowFunctionType

    public ShadowFunctionType(MathType t,
                              DataDisplayLink link,
                              ShadowType parent,
                              ShadowRealTupleType domain,
                              ShadowType range)
                       throws VisADException,
                              RemoteException